• Your favorite

    Apple

    ,

    iPhone

    ,

    iPad

    ,

    iOS

    ,
    Jailbreak
    , and
    Cydia
    site.
  • TinyUmbrella Updated for iOS 5.0.1

    The firmware umbrella now works with iOS 5.0.1 blobs.

    iOS 5.0.1 is the newest release from Apple which is said to fix battery problems for some users. Some however, claim that it does not do anything to fix the battery problem, some claim that it made the problems worse. Users were advised within minutes of the iOS 5.0.1 release to downgrade back to iOS 5.0 so that they can get their untethered jailbreak when it is released. As of this time, there is no way to downgrade back to iOS 5.0 if you are on iOS 5.0.1. This is because Apple is no longer signing the iOS 5.0 firmware. Only those who are on it still will be the happy ones.

    In case you are still wondering how to save your SHSH blobs though, you can do so through the new update of TinyUmbrella. iPhone 4S users cannot use the SHSH blobs for anything special at all; but you will still be able to save your SHSH blobs locally if your heart still intends it. Who knows maybe they will be useful in the future?

    Quote Originally Posted by TinyUmbrella
    Tentative iOS 5.0.1 Support
    Even though there is still no working solution for restoring 5.x on iPhone 4S I have released a 5.01.00 so you can at least save 5.0.1 SHSH. I have added tentative support for at least saving 5.0.1 SHSHs for iPhone 4S but as of now we are unable to use them fully.
    As soon as more information is available I will update.
    You can download TinyUmbrella for Mac OS X here.
    You can download TinyUmbrella for Windows here.

    Sources: Cult of Mac
    This article was originally published in forum thread: TinyUmbrella Updated for iOS 5.0.1 started by Anthony Bouchard View original post
    Comments 58 Comments
    1. nebulis's Avatar
      nebulis -
      Quote Originally Posted by Simon View Post
      Open tiny umbrella, select advanced and deselect the box that says "Request SHSH from cydia". Then try saving 5.0.1 SHSH again.



      No, we cant. The update is for people that want to save 5.0.1 SHSH. Even if they are not useful now someday a workaround may be found to be able to use them. Better to be safe then sorry.


      That worked. Thank you.
    1. confucious's Avatar
      confucious -
      If I saw someone posting things like that I assure you it would have been corrected.
    1. PoEtikly's Avatar
      PoEtikly -
      Yes it is better to be safe than sorry
    1. Tucnepo's Avatar
      Tucnepo -
      For all your 4s users out there, 5.0.1 would be a better choice for you. Why? Better battery life( but no guarantees). Tethered jailbreak I can live with, poor phone usage?definitely no!!!!
      So as long d you have your 5.0.1 SHSHblobs youd be fine.
    1. Hunter926's Avatar
      Hunter926 -
      So, i have a quick question, are the blobs only useless (at the moment) for the 4S? or are they useless for everyone? Example: iPhone4 with saved blobs for 5.0, if you were to upgrade to 5.0.1 can you then downgrade using the blobs?
    1. Simon's Avatar
      Simon -
      Quote Originally Posted by Hunter926 View Post
      So, i have a quick question, are the blobs only useless (at the moment) for the 4S? or are they useless for everyone? Example: iPhone4 with saved blobs for 5.0, if you were to upgrade to 5.0.1 can you then downgrade using the blobs?
      They are useless for everyone right now.

      Quote Originally Posted by Tucnepo View Post
      For all your 4s users out there, 5.0.1 would be a better choice for you. Why? Better battery life( but no guarantees). Tethered jailbreak I can live with, poor phone usage?definitely no!!!!
      So as long d you have your 5.0.1 SHSHblobs youd be fine.
      Who said there would be a tethered jailbreak for 4S? Usually that requires a bootrom exploit which there is none for iPhone 4S. So iPhone 4S will probably just get the one jailbreak on 5.0 for now.
    1. DnBKiD521's Avatar
      DnBKiD521 -
      If I'm semi tethered on 5.0 already am I gonna need a fresh restore (which isn't possible atm) to have a clean untethered jb whenever it arrives? Will it patch the tethered jailbreak? Or is it too early to tell?
    1. PoEtikly's Avatar
      PoEtikly -
      Quote Originally Posted by DnBKiD521 View Post
      If I'm semi tethered on 5.0 already am I gonna need a fresh restore (which isn't possible atm) to have a clean untethered jb whenever it arrives? Will it patch the tethered jailbreak? Or is it too early to tell?
      I would think and def hope that it'll patch the tethered, but I don't think it's known besides the devs that are creating it, I could be wrong. But with as many people that have tether JB their devices (due to the length of time it has been with no untethered exploit and the semi tether) I would hope that it will patch over the tethered. Also, I take some hint from pod2g that it'll patch over because he has informed others to stay on their 5.0 fw and not go to 5.0.1. I would think he would've informed everyone to restore to 5.0 (before 5.0.1 release) if on a tethered JB IF it in fact will not be patched. But you never know. If there is a solid answer to this I'd really like to know as well.
    1. BenderRodriguez's Avatar
      BenderRodriguez -
      Um help I just ran this I'm on iOS5 not 5.0.1, iphone4s

      I ran tinyUmbrella and it saved ssh for 5.0.1 but not for 5.0 which I'm running

      Why didn't it save ssh for 5.0 ??
    1. DnBKiD521's Avatar
      DnBKiD521 -
      Quote Originally Posted by BenderRodriguez View Post
      Um help I just ran this I'm on iOS5 not 5.0.1, iphone4s

      I ran tinyUmbrella and it saved ssh for 5.0.1 but not for 5.0 which I'm running

      Why didn't it save ssh for 5.0 ??
      Read all the previous posts on this thread. It should help u out.
    1. Nexrad7526's Avatar
      Nexrad7526 -
      I have not updated to 5 or 5.01 on either iPad2 or iPhone 4. Am I not able to update to 5.0 when untethered jb is releasd on either device? This threadis a bit confusing to follow. Anyway some advice or recommendation would be helpful.Thx
    1. Cer0's Avatar
      Cer0 -
      5.0 SHSH blobs are done with. Apple is not signing them anymore and no way of getting them now no matter what firmware you are on.

      TinyUmbrella will only grab SHSH Blobs for the firmware that Apple is currently signing. Which is 5.0.1. So no you can't get your 5.0 ones even if you are on it. No you can't downgrade from 5.0.1 to 5.0 or upgrade from 4.x.x to 5.0 because Apple is not signing it anymore to allow you to do this.

      With 5.0 Apple changed the way SHSH blobs are done and that is the issue being worked on now.
    1. BenderRodriguez's Avatar
      BenderRodriguez -
      Quote Originally Posted by DnBKiD521 View Post
      Read all the previous posts on this thread. It should help u out.
      If your gunna do that to me then quote the message your talking about next time, maybe I didn't read that one post at least I'm considerate when this happens
    1. cypherstream's Avatar
      cypherstream -
      Quote Originally Posted by Cer0 View Post
      5.0 SHSH blobs are done with. Apple is not signing them anymore and no way of getting them now no matter what firmware you are on.

      TinyUmbrella will only grab SHSH Blobs for the firmware that Apple is currently signing. Which is 5.0.1. So no you can't get your 5.0 ones even if you are on it. No you can't downgrade from 5.0.1 to 5.0 or upgrade from 4.x.x to 5.0 because Apple is not signing it anymore to allow you to do this.

      With 5.0 Apple changed the way SHSH blobs are done and that is the issue being worked on now.
      So should I keep my iphone 4 on 4.3 then? That's what I have now.

      Even last week when 5.0 was still being signed, I plugged into tiny umbrella, and 4.3 was the newest SHSH blob it let me save.

      My Ipad 2 is staying on 4.3 indefinitely unless an untethered jailbreak comes out for it on 5.x/
    1. 2k1's Avatar
      2k1 -
      Yes keep it on 4.3.3 that's the only untethered jailbreak beside lower version out right now. Unless ya can live with a tethered jailbreak.
    1. DnBKiD521's Avatar
      DnBKiD521 -
      Quote Originally Posted by BenderRodriguez View Post
      If your gunna do that to me then quote the message your talking about next time, maybe I didn't read that one post at least I'm considerate when this happens
      Yeah there were multiple posts telling you that u are only able to save shsh's for the current firmware that apple is signing. If apple isn't signing it, you can't save it. (unless u use ifaith to extract the shsh for the current firmware that you are on.) this only applies to 5.0 and beyond until a workaround is found to let us be able to jump between firmwares.......now, hope this helps get your panties out of a wad
    1. Neil001's Avatar
      Neil001 -
      Quote Originally Posted by SnowLeo View Post
      So still being on 4.2.6 on my iphone and 4.3.3 on my ipad 2 im pretty much screwed as far as future untethered jailbreaks. Looks like I'll be living with semitethered.
      U can j/b ur iPad 2 with jailbreakme.com and it's untethered !!

      Quote Originally Posted by Nexrad7526 View Post
      I have not updated to 5 or 5.01 on either iPad2 or iPhone 4. Am I not able to update to 5.0 when untethered jb is releasd on either device? This threadis a bit confusing to follow. Anyway some advice or recommendation would be helpful.Thx
      No, no, forget about 5.0 and u don't want 5.0.1 either. Just keep what u've got and wait until apple release 5.0.2 and hopefully the untethered j/b for 5.0 being work on now can also J/B 5.0.2 keep the fingers cross... Let's go dev team!!!!!
    1. Nexrad7526's Avatar
      Nexrad7526 -
      Quote Originally Posted by Neil001 View Post
      U can j/b ur iPad 2 with jailbreakme.com and it's untethered !!



      No, no, forget about 5.0 and u don't want 5.0.1 either. Just keep what u've got and wait until apple release 5.0.2 and hopefully the untethered j/b for 5.0 being work on now can also J/B 5.0.2 keep the fingers cross... Let's go dev team!!!!!
      Great help. I'll wait for 5.0.2 and hope the ujb works when it arrives.